package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.oe.student.api.OeExamScoreObtainQueueCloudService;
import cn.com.qmth.examcloud.web.redis.RedisClient;

@Service
public class OeExamScoreObtainQueueCloudServiceClient extends BasicCloudClientSupport  implements OeExamScoreObtainQueueCloudService{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -2866999608688584179L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	public void updateObtainScoreNodifyQueue() {
		post("examScoreObtainQueue/updateObtainScoreNodifyQueue", null);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
